#
%define		_state		stable
%define		orgname		kdetoys
%define		qtver		4.8.0

Summary:	Kdetoys
Summary(pl.UTF-8):	Kdetoys
Name:		kde4-kdetoys
Version:	4.9.0
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	c9232d49b4368ff0e94b902ead11a531
URL:		http://www.kde.org/
BuildRequires:	automoc4 >= 0.9.84
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE toys.

%description -l pl.UTF-8
Zabawki KDE.

%package amor
Summary:	amor
Group:		X11/Applications

%description amor
On-Screen Creature.

%package kteatime
Summary:	kteatime
Group:		X11/Applications

%description kteatime
Kteatime.

%package ktux
Summary:	ktux
Group:		X11/Applications

%description ktux
Ktux.

%package kweather
Summary:	kweather
Group:		X11/Applications

%description kweather
A weather reporting panel applet.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	.. \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files amor
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/amor
%{_desktopdir}/kde4/amor.desktop
%{_datadir}/apps/amor
%{_datadir}/dbus-1/interfaces/org.kde.amor.xml
%{_kdedocdir}/en/amor
%{_iconsdir}/hicolor/*x*/apps/amor.png
%{_mandir}/man6/amor.6*

%files kteatime
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kteatime
%{_desktopdir}/kde4/kteatime.desktop
%{_datadir}/apps/kteatime
%{_kdedocdir}/en/kteatime
%{_iconsdir}/hicolor/*x*/apps/kteatime.png
%{_iconsdir}/hicolor/scalable/apps/kteatime.svgz

%files ktux
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktux
%{_datadir}/apps/ktux
%{_iconsdir}/hicolor/*x*/apps/ktux.png
%{_datadir}/kde4/services/ScreenSavers/ktux.desktop

#%files kweather
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/kweatherreport
#%attr(755,root,root) %{_bindir}/kweatherservice
#%{_libdir}/kde4/kcm_weather.so
#%{_libdir}/kde4/kcm_weatherservice.so
#%{_libdir}/libkdeinit4_kweatherreport.so
#%{_datadir}/apps/kweather
#%{_datadir}/apps/kweatherservice
#%{_datadir}/dbus-1/interfaces/org.kde.kweather.kweather.xml
#%{_datadir}/dbus-1/interfaces/org.kde.kweather.service.xml
#%{_kdedocdir}/en/kweather
#%{_iconsdir}/hicolor/*x*/apps/kweather.png
#%{_datadir}/kde4/services/kcmweather.desktop
#%{_datadir}/kde4/services/kcmweatherservice.desktop
#%{_datadir}/kde4/services/kweatherservice.desktop
%changelog
* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> b38a10b
updated to 4.9.0.

* Tue Mar 06 2012 blekot <blekot@pld-linux.org> 261a9c8
- added one svg icon

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 68d140a
- up to 4.8.0

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a91dc24
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e1fd534
- up to 4.7.1

* Fri Jul 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8be6875
- up to 4.6.5

* Sun Jun 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a164f26
- up to 4.6.4

* Mon May 23 2011 lisu <lisu@pld-linux.org> b26b99a
- rel 2

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 148caed
- up to 4.6.3

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0eb19c8
- up to 4.6.2

* Mon Feb 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fcefd7e
- up to 4.6.1

* Sat Jan 22 2011 shadzik <shadzik@pld-linux.org> 637112d
- remove redundand Qt* BRs

* Fri Jan 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 740913b
- up to 4.6.0

* Wed Jan 05 2011 shadzik <shadzik@pld-linux.org> bd75b80
- adjusted to new cmake macro

* Tue Jan 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a2c715
- up to 4.4.5

* Tue Nov 30 2010 shadzik <shadzik@pld-linux.org> 64dc742
- rel 2, new tarball

* Sun Nov 28 2010 shadzik <shadzik@pld-linux.org> 1c0314a
- 4.5.4

* Tue Nov 02 2010 shadzik <shadzik@pld-linux.org> f859174
- 4.5.3

* Wed Oct 06 2010 shadzik <shadzik@pld-linux.org> 2cb2bf0
- 4.5.2

* Sat Aug 28 2010 shadzik <shadzik@pld-linux.org> 95ed245
- 4.5.1

